package com.engine.attendance.workflow.enums;

import com.finance.toolkit.BaseEnum;

/**
 * 出差请假方式
 */
public enum AskAndEvctionWayEnum implements BaseEnum {
    ALLDAY("0","全天"),
    TIME_INTERVAL("1","指定时间区间"),
    HALFDAY("2","半天"),
    HOUR("3","指定时间长度");


    private String key;
    private String value;

    AskAndEvctionWayEnum(String key, String value){
        this.key=key;
        this.value=value;
    }


    @Override
    public String getKey() {
        return this.key;
    }

    @Override
    public String getValue() {
        return this.value;
    }
}
